Method: networks.breakTemplates.batchCreate

Batch creates BreakTemplate objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/breakTemplates:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where BreakTemplates will be created. Format: networks/{networkCode} The parent field in the CreateBreakTemplateRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateBreakTemplateRequest)
    }
  ]
}
Fields
requests[]

object (CreateBreakTemplateRequest)

Required. The BreakTemplate objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for breakTemplates.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "breakTemplates": [
    {
      object (BreakTemplate)
    }
  ]
}
Fields
breakTemplates[]

object (BreakTemplate)

The BreakTemplate objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateBreakTemplateRequest

Request object for breakTemplates.create method.

JSON representation
{
  "parent": string,
  "breakTemplate": {
    object (BreakTemplate)
  }
}
Fields
parent

string

Required. The parent resource where this BreakTemplate will be created. Format: networks/{networkCode}

breakTemplate

object (BreakTemplate)

Required. The BreakTemplate to create.